from netforce.model import Model, fields, get_model
from netforce.access import get_active_company

class CycleItemLine(Model):
    _name="clinic.cycle.item.line"
    _string="Cycle Item Line"
    
    def all_amount(self,ids,context={}):
        res={}
        for obj in self.browse(ids):
            res[obj.id]={
                'amount': (obj.qty or 0) * (obj.rate or 0.0),
            }
        return res 

    _fields={
        'cycle_item_id': fields.Many2One("clinic.cycle.item", "Cycle Item"),
        "type": fields.Selection([("doctor","Doctor"),("nurse","Nurse")],"Personal Type",required=True),
        'personal_categ': fields.Many2One("clinic.personal.categ", "Nurse Category",),
        'formular': fields.Char("Formular", size=100),
        'description': fields.Char("Description"),
        'qty': fields.Integer("Qty"),
        'rate': fields.Float("Rate"),
        'amount': fields.Float("Amount",function="all_amount", function_multi=True),
        'company_id': fields.Many2One('company','Company'),
    }

    _defaults={
        "company_id": lambda *a: get_active_company(),
    }


CycleItemLine.register()
